指定尺寸线第一端的箭头类型。 支持的平台:仅窗口 属性值只读:不 类型:枚举acDimArrowheadType
言论此属性的初始值为。acArrowDefault 当您使用 该属性指定要用作自定义箭头的块时,此属性将设置为 。Arrowhead1BlockacArrowUserDefined 注意:此属性覆盖给定维度的 DIMBLK1 系统变量的值。
例子工 务 局: Sub Example_ArrowHead1Type() ' This example creates a Dim3PointAngular object in model space ' and then alters the visible appearance (shape) of its arrowheads ' using the ArrowHead1Type and ArrowHead2Type properties Dim DimPointAngularObj As AcadDim3PointAngular Dim AngleVertex(0 To 2) As Double Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double Dim TextPoint(0 To 2) As Double ' Define the new Dim3PointAngular object AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0 FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0 SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0 TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0 ' Create the new Dim3PointAngular object in model space Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint) ThisDrawing.Application.ZoomAll ' Read and display current arrowhead type MsgBox "The arrowhead type for the first arrow of this object is: " & DimPointAngularObj.Arrowhead1Type & vbCrLf & _ "The arrowhead type for the second arrow of this object is: " & DimPointAngularObj.Arrowhead2Type ' Alter the arrowhead type property for both arrows of this object DimPointAngularObj.Arrowhead1Type = acArrowBoxBlank DimPointAngularObj.Arrowhead2Type = acArrowBoxBlank ThisDrawing.Regen acAllViewports ' Read and display current arrowhead type MsgBox "The arrowhead type for the first arrow of this object is now set to: " & DimPointAngularObj.Arrowhead1Type & vbCrLf & _ "The arrowhead type for the second arrow of this object is now set to: " & DimPointAngularObj.Arrowhead2Type End Sub Visual LISP: (vl-load-com) (defun c:Example_ArrowHead1Type() ;; This example creates a Dim3PointAngular object in model space ;; and then alters the visible appearance (shape) of its arrowheads ;; using the ArrowHead1Type and ArrowHead2Type properties (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the new Dim3PointAngular object (setq AngleVertex (vlax-3d-point 0 0 0) FirstPoint (vlax-3d-point 2 2 0) SecondPoint (vlax-3d-point 1 4 0) TextPoint (vlax-3d-point 6 6 0)) ;; Create the new Dim3PointAngular object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint)) (vla-ZoomAll acadObj) ;; Read and display current arrowhead type (alert (strcat "The arrowhead type for the first arrow of this object is: " (itoa (vla-get-Arrowhead1Type DimPointAngularObj)) "\nThe arrowhead type for the second arrow of this object is: " (itoa (vla-get-Arrowhead2Type DimPointAngularObj)))) ;; Alter the arrowhead type property for both arrows of this object (vla-put-Arrowhead1Type DimPointAngularObj acArrowBoxBlank) (vla-put-Arrowhead2Type DimPointAngularObj acArrowBoxBlank) (vla-Regen doc acAllViewports) ;; Read and display current arrowhead type (alert (strcat "The arrowhead type for the first arrow of this object is now set to: " (itoa (vla-get-Arrowhead1Type DimPointAngularObj)) "\nThe arrowhead type for the second arrow of this object is now set to: " (itoa (vla-get-Arrowhead2Type DimPointAngularObj)))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:51
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.